Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge
Interface OWLProperty

All Superinterfaces:
  Argument, AtomArgument, Comparable, PropertyValue, ResultValue

All Known Subinterfaces:
  OWLDatatypeProperty, OWLObjectProperty

All Known Implementing Classes:
  OWLDatatypePropertyImpl, OWLObjectPropertyImpl, OWLPropertyImpl

    public interface OWLProperty

extends PropertyValue, AtomArgument

Interface representing an instance of an OWL property

Method Summary
`Set<String>` | `getDomainClassNames()`
`Set<String>` | `getEquivalentPropertyNames()`
`Set<String>` | `getEquivalentPropertySuperPropertyNames()`
`String` | `getPrefixedPropertyName()`
`String` | `getPropertyName()`
`Set<String>` | `getRangeClassNames()`
`Set<String>` | `getSubPropertyNames()`
`Set<String>` | `getSuperPropertyNames()`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getPropertyName

    String getPropertyName()

  Specified by:
    `getPropertyName` in interface `PropertyValue`

### getPrefixedPropertyName

    String getPrefixedPropertyName()

  Specified by:
    `getPrefixedPropertyName` in interface `PropertyValue`

### getDomainClassNames

    Set<String> getDomainClassNames()

### getRangeClassNames

    Set<String> getRangeClassNames()

### getSuperPropertyNames

    Set<String> getSuperPropertyNames()

### getSubPropertyNames

    Set<String> getSubPropertyNames()

### getEquivalentPropertyNames

    Set<String> getEquivalentPropertyNames()

### getEquivalentPropertySuperPropertyNames

    Set<String> getEquivalentPropertySuperPropertyNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.